Bug 166741 - Boot process hangs at CPUSPEED step on x86_64
Boot process hangs at CPUSPEED step on x86_64
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2005-08-25 00:26 EDT by Mike Melko
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 09:30:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Melko 2005-08-25 00:26:26 EDT
Description of problem:

This bug is essentially the same as bug #158523, but I'm reporting it as new
since I'm using fc4, not fc3.

I tried to install fc4 on a brand new computer with no other operating systems;
it is a dual Opteron 244 system with a TYAN K8WE 2895 mainboard. The install
process works fine, but the kernel always crashes while starting the pcmcia
daemon during the boot process. A "kernel panic" message and some C code appears
before the screen goes blank. By entering interactive mode, I found the culprit
was actually the cpuspeed daemon. After turning this off, the system booted
successfully. I then logged in as root and disabled cpuspeed. After making this
change, the system boots successfully every time, and seems to work okay.

Version-Release number of selected component (if applicable):

fc4 (DVD media purchased from linuxcentral.com this week, I don't know the
release number off hand, or if there is one).

How reproducible:

Boot with cpuspeed enabled, this always crashes.

Steps to Reproduce:

1. Boot the system into fc4.

Actual results:

Crashes early in boot process (while starting pcmcia).

Expected results:

Successful boot.

Additional info:

Crash occurs only when cpuspeed is enabled. Will disabling cpuspeed have any
adverse side effects on my computer?
Comment 1 Dave Jones 2005-08-26 19:40:43 EDT
Please try the latest errata kernel from updates-testing, this has a powernow-k8
fix that could fix your problem. (Though its hard to say, as you didn't include
the backtrace).
Comment 2 John Thacker 2006-05-04 09:30:17 EDT
No response, closing.

Note You need to log in before you can comment on or make changes to this bug.